Bug 183248 - OrgImpl out of sync with is_org_paid stored procedure
OrgImpl out of sync with is_org_paid stored procedure
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
rhn410
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ryan Newberry
Beth Nackashi
:
Depends On:
Blocks: 200021
  Show dependency treegraph
 
Reported: 2006-02-27 14:51 EST by Jesus M. Rodriguez
Modified: 2013-08-05 23:11 EDT (History)
4 users (show)

See Also:
Fixed In Version: rhn414
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-20 10:49:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesus M. Rodriguez 2006-02-27 14:51:07 EST
I am going to have to change the view, rhnPaidOrgs to account for the fact
that you no longer get 1 update slot for free.  The issue is that we don't
want orgs that are not paid, to show up as paid if we have to give them a
year free of update.  I was going to have to do some dirty hackery in the
view to make it work.  Once the view is right, rhn_bel.is_org_paid should be
right.

However, the java code doesn't seem to use this procedure, and rewrote the
logic of the view into the code in com/redhat/rhn/domain/org/OrgImpl.java.
Yes Yes, I know that you all hate using stored procedures, but it came back
and bit you  :) .  So once I fix the view, you can either incorporate whatever
I come up with into OrgImpl.java, or switch it to use rhn_bel.is_org_paid.  

I can't seem to think of a better way to determine if an org is paid except
to special case the scenario where they have 1 update slot, it matches the
SKU we gave for free and was granted by RHN on whatever day we run the
script in production.  Any other better ideas?

-- -- James Slagle --
Comment 1 Jesus M. Rodriguez 2006-02-27 14:52:21 EST
I wrote a new view rhnDemoOrgs that will read from a log table that I'll be
populating during the removal script.  rhnPaidOrgs will now make use of
rhnDemoOrgs.

The change sql is at:
eng/schema/changes/dev/410/sql/rhnPaidOrgs.sql
eng/schema/changes/dev/410/sql/rhnDemoOrgs.sql

That java code needs to be updated accordingly.
Comment 2 Ryan Newberry 2006-04-05 17:34:59 EDT
Changed to use the stored proc in subversion. This code is not used in the Java
code anywhere yet.
Comment 3 Todd Sanders 2006-05-08 14:33:14 EDT
Reassign QA Responsibility to Partha Aji
Comment 4 Partha Aji 2006-05-17 18:23:19 EDT
Test Plan?
Comment 5 Ryan Newberry 2006-05-18 10:14:40 EDT
Aligning this against 411 as it is untestable in 410
Comment 6 Beth Nackashi 2006-07-30 09:42:08 EDT
I normally don't ask, but may I have a test plan please sir?
Comment 7 Jesus M. Rodriguez 2006-08-02 16:40:21 EDT
This is not a "testable" bug, it is one requiring code inspection.
I have verified that we now call the stored procedure.
Comment 8 Beth Nackashi 2006-09-20 10:49:40 EDT
closing -- current release.  RHN414 phase 14 gazillion is now in production.

Note You need to log in before you can comment on or make changes to this bug.